<template>
    <div>
        <h1 style="margin-top: 10px;">
            Nouveaux problèmes
        </h1>

        <div
            class="uk-text-large uk-text-center uk-margin-large-top"
            v-if="problemes.length == 0"
        >
            <p>Tu n'as pas de nouveaux problèmes pour l'instant !</p>
            <p>
                Vérifies tes
                <router-link tag="a" :to="{ name: 'Revision' }">
                    révisions
                </router-link>
                attendant d'en avoir des nouveaux.
            </p>
        </div>
        <ProblemeCarousel
            :problemes="problemes"
            :etapeApprentissage="'nouveauxProblemes'"
        />
    </div>
</template>
<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import Axios from '@/auth/axiosAuth';
import ProblemeCarousel from './ProblemeCarousel.vue';

@Component({
    components: { ProblemeCarousel }
})
export default class NouveauxProblemes extends Vue {
    problemes: any[] = [];

    beforeRouteEnter(to, from, next) {
        next(vm => {
            Axios.get('nouveauprobleme/' + vm.$auth.user.id, response => {
                vm.problemes = response.data;
            });
        });
    }
}
</script>
